Welcome to WebmasterWorld Guest from 184.73.122.162

Forum Moderators: coopster & jatar k

Message Too Old, No Replies

installing memcache on php 5.3

need php_memcache.dll

     
1:57 am on Mar 31, 2009 (gmt 0)

Junior Member

10+ Year Member

joined:Oct 15, 2005
posts:79
votes: 0


I'm looking for php_memcache.dll to get memcache working with php 5.3

I'm not holding my breath for pecl4win.php.net to come back online and I can't seem to find a 5.3 version of the dll anywhere!

Any assistance would be greatly appreciated.

William.

3:21 pm on Mar 31, 2009 (gmt 0)

Administrator

WebmasterWorld Administrator coopster is a WebmasterWorld Top Contributor of All Time 10+ Year Member

joined:July 31, 2003
posts:12541
votes: 1


I've run into this problem as of late too, when setting up development boxes for Windows using > 5.2.6 versions of PHP. I had to go back to earlier releases of PHP bundles and grab the PECL download and extract older dll's and hope they work in the later releases. I've been lucky so far. Imagemagick was the latest.

Details in this thread ...

[webmasterworld.com...]

8:53 pm on Mar 31, 2009 (gmt 0)

Junior Member

10+ Year Member

joined:Oct 15, 2005
posts:79
votes: 0


I've never ran into this problem before either. I've tried every version of memcache.dll I could find from older versions and I keep getting this error in my PHP log:

PHP Warning: PHP Startup: memcache: Unable to initialize module
Module compiled with module API=20060613
PHP compiled with module API=20090115
These options need to match
in Unknown on line 0

Which makes me think that it's not even trying to run it, and it may infact be compatible, I just need the .dll compiled with 5.3

William.